IRremoteESP8266

Public Attributes | List of all members
Tcl112Protocol Union Reference

Native representation of a TCL 112 A/C message. More...

`#include <ir_Tcl.h>`

## Public Attributes
uint8_t | raw [kTcl112AcStateLength]
| The State in IR code form. More...
struct {
uint8_t __pad0__:8
uint8_t __pad1__:8
uint8_t __pad2__:8
uint8_t MsgType:2
uint8_t __pad3__:6
uint8_t __pad4__:8
uint8_t __pad5__:2
uint8_t Power:1
uint8_t OffTimerEnabled:1
uint8_t OnTimerEnabled:1
uint8_t Quiet:1
uint8_t Light:1
uint8_t Econo:1
uint8_t Mode:4
uint8_t Health:1
uint8_t Turbo:1
uint8_t __pad6__:2
uint8_t Temp:4
uint8_t __pad7__:4
uint8_t Fan:3
uint8_t SwingV:3
uint8_t TimerIndicator:1
uint8_t __pad8__:1
uint8_t __pad9__:1
uint8_t OffTimer:6
uint8_t __pad10__:1
uint8_t __pad11__:1
uint8_t OnTimer:6
uint8_t __pad12__:1
uint8_t __pad13__:8
uint8_t __pad14__:3
uint8_t SwingH:1
uint8_t __pad15__:1
uint8_t HalfDegree:1
uint8_t __pad16__:1
uint8_t isTcl:1
uint8_t Sum:8
}; |

## Detailed Description

Native representation of a TCL 112 A/C message.

## Member Data Documentation

## ◆ @112

struct { ... }

## ◆ __pad0__

uint8_t Tcl112Protocol::__pad0__

## ◆ __pad10__

uint8_t Tcl112Protocol::__pad10__

## ◆ __pad11__

uint8_t Tcl112Protocol::__pad11__

## ◆ __pad12__

uint8_t Tcl112Protocol::__pad12__

## ◆ __pad13__

uint8_t Tcl112Protocol::__pad13__

## ◆ __pad14__

uint8_t Tcl112Protocol::__pad14__

## ◆ __pad15__

uint8_t Tcl112Protocol::__pad15__

## ◆ __pad16__

uint8_t Tcl112Protocol::__pad16__

## ◆ __pad1__

uint8_t Tcl112Protocol::__pad1__

## ◆ __pad2__

uint8_t Tcl112Protocol::__pad2__

## ◆ __pad3__

uint8_t Tcl112Protocol::__pad3__

## ◆ __pad4__

uint8_t Tcl112Protocol::__pad4__

## ◆ __pad5__

uint8_t Tcl112Protocol::__pad5__

## ◆ __pad6__

uint8_t Tcl112Protocol::__pad6__

## ◆ __pad7__

uint8_t Tcl112Protocol::__pad7__

## ◆ __pad8__

uint8_t Tcl112Protocol::__pad8__

## ◆ __pad9__

uint8_t Tcl112Protocol::__pad9__

## ◆ Econo

uint8_t Tcl112Protocol::Econo

## ◆ Fan

uint8_t Tcl112Protocol::Fan

## ◆ HalfDegree

uint8_t Tcl112Protocol::HalfDegree

## ◆ Health

uint8_t Tcl112Protocol::Health

## ◆ isTcl

uint8_t Tcl112Protocol::isTcl

## ◆ Light

uint8_t Tcl112Protocol::Light

## ◆ Mode

uint8_t Tcl112Protocol::Mode

## ◆ MsgType

uint8_t Tcl112Protocol::MsgType

## ◆ OffTimer

uint8_t Tcl112Protocol::OffTimer

## ◆ OffTimerEnabled

uint8_t Tcl112Protocol::OffTimerEnabled

## ◆ OnTimer

uint8_t Tcl112Protocol::OnTimer

## ◆ OnTimerEnabled

uint8_t Tcl112Protocol::OnTimerEnabled

## ◆ Power

uint8_t Tcl112Protocol::Power

## ◆ Quiet

uint8_t Tcl112Protocol::Quiet

## ◆ raw

uint8_t Tcl112Protocol::raw[kTcl112AcStateLength]

The State in IR code form.

## ◆ Sum

uint8_t Tcl112Protocol::Sum

## ◆ SwingH

uint8_t Tcl112Protocol::SwingH

## ◆ SwingV

uint8_t Tcl112Protocol::SwingV

## ◆ Temp

uint8_t Tcl112Protocol::Temp

## ◆ TimerIndicator

uint8_t Tcl112Protocol::TimerIndicator

## ◆ Turbo

uint8_t Tcl112Protocol::Turbo

The documentation for this union was generated from the following file:

- src/ir_Tcl.h